GDB (xrefs)

Public Attributes | List of all members
ppc64_sysv_argpos Struct Reference

## Public Attributes
struct regcache * | regcache
int | greg
int | freg
int | vreg
CORE_ADDR | gparam
CORE_ADDR | refparam

## Detailed Description

Definition at line 1259 of file ppc-sysv-tdep.c.

## Member Data Documentation

## ◆ freg

int ppc64_sysv_argpos::freg

Definition at line 1268 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), and ppc64_sysv_abi_push_freg().

## ◆ gparam

CORE_ADDR ppc64_sysv_argpos::gparam

Definition at line 1273 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), and ppc64_sysv_abi_push_val().

## ◆ greg

int ppc64_sysv_argpos::greg

Definition at line 1266 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), and ppc64_sysv_abi_push_val().

## ◆ refparam

CORE_ADDR ppc64_sysv_argpos::refparam

Definition at line 1276 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), and ppc64_sysv_abi_push_param().

## ◆ regcache

struct regcache* ppc64_sysv_argpos::regcache

Definition at line 1264 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), ppc64_sysv_abi_push_freg(), ppc64_sysv_abi_push_integer(), ppc64_sysv_abi_push_param(), ppc64_sysv_abi_push_val(), and ppc64_sysv_abi_push_vreg().

## ◆ vreg

int ppc64_sysv_argpos::vreg

Definition at line 1270 of file ppc-sysv-tdep.c.

Referenced by ppc64_sysv_abi_push_dummy_call(), and ppc64_sysv_abi_push_vreg().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ppc-sysv-tdep.c